View Issue Details

IDProjectCategoryView StatusLast Update
0001350LazarusIDEpublic2012-03-14 08:54
ReporterVital TremblayAssigned ToMattias Gaertner 
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
Platformintell celeron 700OSWindowsOS Versionxp
Product Version0.9.10Product Buildpublic release 
Target Version1.0.0Fixed in Version0.9.31 (SVN) 
Summary0001350: Menu Edit ---. cut/copy/paste does not work int the form Designer
DescriptionThose function work wright with the right mouse click but not with the Menu Edit.

If you are in the Text editor and there a component it the Clipboard it paste something in the text editor.
Steps To ReproduceSelect component in the form designer and then click on menu Edit/Cut or Edit/Copy.

Menu Edit/Paste does nothing at all.

Go to the the text editor and then got to Menu Edit/paste. It's should paste something that is the Name of the component or something else.
TagsNo tags attached.
Fixed in Revision35967
LazTarget1.0
Widgetset
Attached Files

Activities

Micha Nelissen

2006-06-30 14:31

manager   ~0008290

mnuEditCopyClicked only invokes the source editor command.

Mattias, can we remember 'last active form', and based on that, redirect the command to the designer, source editor, or object inspector ?

Mattias Gaertner

2006-07-10 21:11

manager   ~0008378

If we get a reliable 'last active form', then yes. Otherwise it could become worst.

Boguslaw Brandys

2007-01-16 20:27

developer   ~0010892

For me it looks rather like feature then bug.Delphi 5 does it too,or maybe I misunderstand a problem.
I opt for change status for this bugreport to "won't fix" or at least "post 1.0"

Boguslaw Brandys

2007-01-16 20:45

developer   ~0010895

Two issues need to be resolved:

1. Objects are copied to clipboard as text so object should replace any other text which is inside clipboard already.
2. If text inside clipboard is not a valid object (detect it) - menu and popupmenu options "paste" should be disabled.

Those two should fix a problem.

Boguslaw Brandys

2007-01-16 20:51

developer   ~0010896

any text starting with "object " (with space at the end) should be treated like an object to paste into form designer for example.
if clipboard contains text already then : do clipboard.clear and paste object here, enable Paste menu and popupmenu .
In other case disable Paste menu if form designer has focus.

Paul Ishenin

2012-03-14 08:54

manager   ~0057616

Please test and close if ok.

Issue History

Date Modified Username Field Change
2005-10-19 21:34 Vital Tremblay New Issue
2005-10-19 21:34 Vital Tremblay Widgetset => Win32
2005-10-20 03:03 Vincent Snijders Target => 1.0
2005-10-20 03:03 Vincent Snijders Status new => acknowledged
2006-06-30 14:31 Micha Nelissen Note Added: 0008290
2006-06-30 14:31 Micha Nelissen Assigned To => Mattias Gaertner
2006-06-30 14:31 Micha Nelissen Widgetset Win32 => GTK, GTK 2, Win32, WinCE, Carbon, QT
2006-06-30 14:33 Vincent Snijders Status acknowledged => assigned
2006-07-10 21:11 Mattias Gaertner Note Added: 0008378
2006-07-10 21:14 Mattias Gaertner Status assigned => feedback
2007-01-16 20:27 Boguslaw Brandys Note Added: 0010892
2007-01-16 20:45 Boguslaw Brandys Note Added: 0010895
2007-01-16 20:51 Boguslaw Brandys Note Added: 0010896
2007-05-07 12:22 Vincent Snijders Status feedback => assigned
2008-04-24 09:57 Vincent Snijders Target Version => 1.0.0
2008-08-06 22:01 Mattias Gaertner Widgetset GTK, GTK 2, Win32, WinCE, Carbon, QT =>
2012-03-14 08:54 Paul Ishenin Fixed in Revision => 35967
2012-03-14 08:54 Paul Ishenin Status assigned => resolved
2012-03-14 08:54 Paul Ishenin Fixed in Version => 0.9.31 (SVN)
2012-03-14 08:54 Paul Ishenin Resolution open => fixed
2012-03-14 08:54 Paul Ishenin Note Added: 0057616